#!/bin/bash
set -e;
source "build/envsetup.sh";

### Bringup

# frameworks/base
repopick -p 404177 # fixup! Update the cutout side override doc to encourage all side override

# hardware/lineage/compat
repopick -p 403504 # compat: Add libmeminfo_shim

# hardware/lineage/interfaces
repopick -p 404346 # power-libperfmgr: Fix shared_ptr conversion for HintManager

# packages/apps/Dialer
repopick -p 405968 # Dialer: Fix in-call RTT banner item colors

# packages/apps/LineageParts
repopick -p 404099 # LineageParts: Set fitsSystemWindows to true for PartsActivity

# packages/apps/Seedvault
repopick -p 406145 # Merge tag '15-5.0' of https://github.com/seedvault-app/seedvault into HEAD

# packages/apps/Settings
repopick -p 406061 # Settings: Set correct category and styling for google and digital wellbeing

# packages/apps/SetupWizard
repopick -p 404480 # Setupwizard: Add graphic for theme select page

# packages/apps/Trebuchet
repopick -p 402832 # Trebuchet: Let's keep 2-button nav alive for a little longer

# packages/modules/Connectivity
repopick -p 405071 # netd: Require 4.19+ for programs using connect/recvmsg/sendmsg hooks

# vendor/crowdin
repopick -p 404380 # rm -rf

# vendor/lineage
repopick -p 402396 # aconfig: Enable polite notifications

# vendor/qcom/opensource/commonsys/fm
repopick -p 403061 # FM2: Slight design adjustments

# vendor/qcom/opensource/usb
repopick -p 403987 # hal: Make it build with -Werror

### ATV

# packages/apps/TvSettings
repopick -p 402294 # Allow disabling Frame Rate settings

# packages/apps/TvSystemUI
repopick 401896 # Implement USB debugging dialog

### Car

# packages/apps/Car/Settings
repopick -p 401814 # VolumeSettingsPreferenceController: Fix NPE when changing volumes

# packages/services/Car
repopick -p 402011 # car_product: Remove non-existent pppd from PRODUCT_PACKAGES

### Old hardware

# frameworks/opt/telephony
repopick -p 401683 # Revert "Clear up the obsoleted cascading signal strength polling logic"

# hardware/interfaces
repopick 404379 # fpc: Fix potential nullptr derefs

# system/sepolicy
repopick -p 402075 # Exempt data_between_core_and_vendor_violators from vold neverallow

wait

### ASB
## Platform
#repopick -i -p -t V_asb_2024-10
#wait

## Pixels
# wahoo - TO-REBASE
# msm-4.9 - DONE
# msm-4.14 - DONE
# msm-5.10-gki - DONE

## QCOM
# aura - DONE
# cheryl - DONE
# moto-msm8998 - TO-REBASE
# moto-sdm632 - TO-REBASE
# nokia-sdm660 - TO-REBASE
# nubia-sm8150 - DONE
# m1s1 - DONE
# mata - DONE
# moto-sm7325 - TO-REBASE
# pro1 - DONE
# pro1x - DONE
# moto-sm8250 - TO-REBASE
# ingot - DONE

### CLO
#wait

### Platform
#wait

### Personal
#wait

## build/make
repopick -f 404683 # Sorry bro: 6 -> 3

## vendor/lineage
repopick -f 404684 # adb insecure by default

### Devices

## aura
#repopick 358627 # aura: Build Lineage Health HAL # 20
#repopick 346036 # 1080P resolution & techpack cleanup - BROKEN 1/4 screen weirdness - talk to Jake?
## To-Bring-Up
## TODO: RGB LED, Screen resolution settings

## b4s4
## To-Bring-Up

## beast
#repopick -f 382738 # gx: DNM: wip libhidlbase_shim
#repopick -f 373489 # [DNM] [TMP] HACK: Disable log level from being set
## TO-FIX: Fix systemcontrol shim, BT, UI Glitches, OMX, SELinux, Boot

## berlin
## To-Bring-Up

## cheryl
## To-Bring-Up
## TOOD: Screen resolution settings

## deadpool
#repopick -f 373491 # [DNM] g12: Set SELinux status to Permissive | for devkit testing
#repopick -f 373490 # UART Log level
#repopick -t zero2-bringup
## (deadpool/wade/dopinder/sabrina/devkits): Ready to Ship

## floral
## Ready to Ship
## TODO: Fix Face Unlock

## foster/sif
repopick -p 406110 # tegra-common bringup chain
## Ready to Ship

## h918/h872
## TO-FIX: Fix cAPEX support, test

## ingot
## Ready to Ship

## m1s1
## To-Bring-Up

## mata
## To-Bring-Up

## nash/messi/lake_n
## (nash/evert/beckham/payton/lake/messi) To-Bring-Up, (chef) TO-FIX: Fix Wi-Fi

## nx
## Ready to Ship

## ohm
#repopick -f -p 389208 # ohm defconfig import and cleanup
## TOOO: Finish bringup

## PL2
## To-Bring-Up

## pro1
## To-Bring-Up

## pro1x
#repopick 347906 # pro1x: Wire up FM Radio
## To-Bring-Up

## pstar
## To-Bring-Up

## river
## To-Bring-Up

## sphynx
## TO-FIX: Sensors, Camera support

## tangorpro
## Ready to Ship
## TODO: SUW Integration for Dock Setup (?)

## TP1803
## To-Bring-Up
## TODO: Lights HAL (?)

## troika/kane
## To-Bring-Up

## wahoo
## To-Bring-Up

wait
